Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.metal
Class MetalFileChooserUI.SingleClickListener

    java.lang.Object
      java.awt.event.MouseAdapter
          javax.swing.plaf.metal.MetalFileChooserUI.SingleClickListener

All Implemented Interfaces:
  MouseListener, EventListener

Enclosing class:
  MetalFileChooserUI

    protected class MetalFileChooserUI.SingleClickListener

extends MouseAdapter

Constructor Summary
`MetalFileChooserUI.SingleClickListener(JList list)`

Method Summary

Methods inherited from class java.awt.event.MouseAdapter
`mouseClicked, mouseEntered, mouseExited, mousePressed, mouseReleased`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MetalFileChooserUI.SingleClickListener

    public MetalFileChooserUI.SingleClickListener(JList list)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.